<template>
  <LayoutMain>
    <section>
      <b-container>
        <b-row align-h="center">
          <b-col cols="12">
            <TitleShape title="Elige la categorías" />
          </b-col>
        </b-row>
      </b-container>
      <div class="color-wrapper">
        <b-container>
          <b-row align-h="center" v-for="item in multi" :key="item.id">
            <b-col cols="4" id="multitematico">

              <div id="multi">
                <router-link
                :to="{ name: 'game.start', params: { category_id: item.id } }"
                v-slot="{ href, navigate }"
              >
                <a :href="href" @click="navigate" class="nav-link">
                  <ImageProfile  :src="item.image " size="6rem" />
                  <TitleShape :title="item.title" class="md" />
                </a>
              </router-link>
              </div>
              
            </b-col>
          </b-row>
           <b-row align-h="center">
            <b-col cols="4" v-for="item in categories" :key="item.id">
              <div class="categories">
                <router-link
                :to="{ name: 'game.start', params: { category_id: item.id } }"
                v-slot="{ href, navigate }"
              >
                <a :href="href" @click="navigate" class="nav-link">
                  <ImageProfile  :src="item.image " size="6rem" />
                  <TitleShape :title="item.title" class="md" />
                </a>
              </router-link>
              </div>
              
            </b-col>
          </b-row>
        </b-container>
      </div>
    </section>
  </LayoutMain>
</template>

<script>
import LayoutMain from "@/components/layouts/Main.vue";
import TitleShape from "@/components/TitleShape.vue";
import SingleSpecial from "@/components/SingleSpecial.vue";
import ImageProfile from "@/components/ImageProfile.vue";


// @ is an alias to /src
export default {
  name: "game",
  data() {
    return {
      multi: [],
      categories: [],
    };
  },
  components: {
    LayoutMain,
    TitleShape,
    SingleSpecial,
    ImageProfile
  },
  mounted() {
    this.$store.dispatch("game/categories").then((resp) => {
      // https://stackoverflow.com/questions/11731072/dividing-an-array-by-filter-function
      const [multi, categories] = resp.data.reduce(
        function (result, element) {
          element.multi ? result[0].push(element) : result[1].push(element);
          return result;
        },
        [[], []]
      );

      this.multi = multi;
      this.categories = categories;
    });
  },
};
</script>

<style lang="scss">
@import '@/assets/custom-vars.scss';

#multi{
  display: flex;
}

.categories{
  display: flex;
}



</style>